<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= I18n.t('mail.salutation', user: @admin.firstname) %>,

<%= I18n.t('mail.storages.health.plaintext.healthy.summary', storage_name: @storage.name) %>

<%= I18n.t('mail.storages.health.plaintext.storage') %>: <%= I18n.t("storages.provider_types.#{@storage.short_provider_type}.name") %> - <%= @storage.host %>

<%= I18n.t('mail.storages.health.plaintext.unhealthy.error-details') %>:
<%= "-" * 30 %>
<%= I18n.t('mail.storages.health.plaintext.unhealthy.error-message') %>: <%= "#{Storages::Storage.extract_part_from_piped_string(@reason, 0)} - #{Storages::Storage.extract_part_from_piped_string(@reason, 1)}" %>
<%= I18n.t('mail.storages.health.plaintext.healthy.error-solved-on') %>: <%= format_time(@storage.health_changed_at) %>

<%= I18n.t('mail.storages.health.plaintext.healthy.details') %>: <%= @url %>

<%= I18n.t('mail.storages.health.plaintext.healthy.recommendation') %>

<%= I18n.t('mail.storages.health.plaintext.unhealthy.unsubscribe') %>: <%= @url %>
